const tinyComponentsWebpack = require('@tiny-components/webpack')
const path = require('path')

module.exports = tinyComponentsWebpack({
    menu: [ './src/js/menu.js'],
    styles: [ './src/scss/styles.scss' ],
}, {
    destination: path.resolve(process.cwd(), 'templates'),
    svg: {
        src: [ 
            './resources/icons/*.svg'
        ]
    },
    purge: {
        src: path.join(__dirname, './**'),
        safelist: {
            deep: [ /toast/ ]
        }
    }
})
